Imports ComponentPro

Namespace AdvancedDemo
	Friend Class CommonTemplateExample
		Inherits TemplateExampleBase
		''' <summary>
		''' Generates output from a template file.
		''' </summary>
		''' <param name="templateSourceDirectory">The path to the directory that contains the template file.</param>
		''' <param name="templateFile">The template file path.</param>
		''' <param name="templateSource">The template source loaded from the template file.</param>
		''' <returns>The generated output.</returns>
		Public Overrides Function Generate(ByVal templateSourceDirectory As String, ByVal templateFile As String, ByVal templateSource As String) As String
			' Create a new instance of the TemplateEngine class.
			Dim dt As New TemplateEngine()

			' Load template content from a file.
			dt.LoadFromString(templateSource)
			dt.SetValue("TemplateSourceDirectory", templateSourceDirectory)

			' Generate output.
			Dim output As String = dt.Run()

			Return output
		End Function
	End Class
End Namespace